Subject: Re: bug#12638: 24.2.50; FR: Some suggestions for icomplete-mode

From: Stefan Monnier <[email-masked]>
Date: Thu, 08 Nov 2012 20:53:53 -0500

> 0. In my earlier patch, remove `minibuffer-summarize-completions' from
>    icomplete.el and shift it enbloc to minibuffer.el.

minibuffer.el is preloaded, which implies among other things that some
of its data will be stored in the `pure' section, which is read-only.

We can try to track down which object is being modified this way (your
guess doesn't sound bad), but in any case I see no reason to move
minibuffer-summarize-completions to minibuffer.el.

        Stefan